fix: fixed prettier config for neovim

This commit is contained in:
2026-07-13 22:43:42 +03:00
parent 03f636cab9
commit d719d62c6c
4 changed files with 20 additions and 17 deletions
+3 -5
View File
@@ -6,17 +6,15 @@ YELLOW='\033[0;33m'
RED='\033[0;31m'
NC='\033[0m'
# ---- Preparing for setup ----
# Testing for sudo access
echo -e "${YELLOW}Preparing for setup. Please allow sudo....${NC}"
if ! sudo -v; then
echo -e "${RED}Error: Failed to use sudo.${NC}" >&2
exit 1
echo -e "${RED}Error: Failed to use sudo.${NC}" >&2
exit 1
fi
echo
# ---- Initial setup ----
# Creating all the directories
echo -e "${YELLOW}Creating all the directories....${NC}"
@@ -84,12 +82,12 @@ sudo pacman -S --needed --noconfirm \
rofi waybar dunst awww hyprpicker hypridle hyprlock \
kitty yazi nwg-look grim slurp btop ncdu nmap exfat-utils abduco \
neovim vi vim tree-sitter-cli ripgrep fzf nano zip \
shfmt stylua prettier ruff bash-language-server \
thunar thunar-shares-plugin thunar-archive-plugin thunar-volman gvfs \
gvfs-mtp gvfs-afc gvfs-nfs gvfs-smb gvfs-goa gvfs-wsdd gvfs-dnssd \
gvfs-gphoto2 fastfetch cowsay
echo
# ---- Config setup ----
# This will delete all current dotfiles. Please be careful!
# Cloning config from git